Page MenuHomePhabricator

Initial diff for FreeBSD kernel debugging support
AcceptedPublic

Authored by cosql on Jun 3 2015, 9:38 AM.

Details

Reviewers
emaste
clayborg
Summary

As a GSoC project last year, I'm sending the initial diff to support FreeBSD kernel debugging for review.
Diff generated using git diff -U999999 upstream/master on my gsoc branch here https://github.com/cosql/lldb/tree/gsoc.

Diff Detail

Event Timeline

cosql updated this revision to Diff 27046.Jun 3 2015, 9:38 AM
cosql retitled this revision from to Initial diff for FreeBSD kernel debugging support.
cosql updated this object.
cosql edited the test plan for this revision. (Show Details)
cosql added reviewers: emaste, davide.
cosql added a subscriber: Unknown Object (MLST).Jun 3 2015, 9:50 AM
cosql updated this revision to Diff 27049.Jun 3 2015, 9:59 AM
cosql updated this object.
cosql updated this revision to Diff 27050.Jun 3 2015, 10:02 AM
cosql updated this object.Jun 3 2015, 10:14 AM
emaste edited edge metadata.Jun 3 2015, 12:11 PM

Note that the LLDB coding style has been updated to match LLVM's in general, with a few differences remaining. The main take-away is that the space before paren on functions can go away.

http://lldb.llvm.org/lldb-coding-conventions.html
http://llvm.org/docs/CodingStandards.html

source/API/SystemInitializerFull.cpp
1

whitespace

cosql updated this revision to Diff 27229.Jun 5 2015, 2:02 PM
cosql edited edge metadata.

Fix all style issues.

davide edited edge metadata.Aug 5 2015, 4:23 PM

I honestly feel bad because this sit there for a long time without anybody reviewing it.
I tried but after some time looking at it I realized I'm not the right person to review. I cc:ed clayborg -- maybe he can take a look at this.

clayborg accepted this revision.Aug 10 2015, 9:55 AM
clayborg edited edge metadata.

Looks good as long as the code is using the LLDB coding style which I believe has been addressed.

This revision is now accepted and ready to land.Aug 10 2015, 9:55 AM
davide resigned from this revision.Jun 25 2016, 2:11 PM
davide removed a reviewer: davide.

This probably need a rebase and some love.

Looks like patch was not committed. Need to be rebased and format with Clang-format.